Bug 1023234 - ModemManager interferes with operation of USB GPS devices
ModemManager interferes with operation of USB GPS devices
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: ModemManager (Show other bugs)
19
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-24 20:29 EDT by Roy Rankin
Modified: 2015-02-18 06:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:05:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed rules to add to blacklist (1.82 KB, text/plain)
2013-10-24 20:29 EDT, Roy Rankin
no flags Details

  None (edit)
Description Roy Rankin 2013-10-24 20:29:57 EDT
Created attachment 815964 [details]
Proposed rules to add to blacklist

Description of problem:When using a bu-353 USP GPS mouse, applications such as xgps which connect to gpsd often do not work after plugging in device.


Version-Release number of selected component (if applicable):


How reproducible: intermittent, but usually reproducible if BU-353 is unplugged and plugged if problem not evident   


Steps to Reproduce:
1. Start the service gpsd
2. start xgps
3. plug in USB mouse

Actual results: xgps will not show updates to GPS data


Expected results: xgps will show updates GPS data within a few seconds of GPS being plugged in.


Additional info:
I have tested adding to the blacklist for the BU-353 and xgps works as expected.
I am attaching the rules derived from the gpsd udev rules which I expect need to be added to the blacklist. I have seen this issue in F16 as well as F19.
Comment 1 Dan Williams 2013-10-25 17:26:51 EDT
Selected items from the list pushed upstream into the blacklist and greylist as appropriate.

http://cgit.freedesktop.org/ModemManager/ModemManager/commit/?id=c431fb8208e1b6299b06ad8ebbff094c6f6f3740
Comment 2 MaxiPunkt 2014-01-26 13:58:38 EST
Also valid for FC20.

Did my own blacklist-file for my GPS-device:

$ cat /etc/udev/rules.d/77-mm-usb-device-blacklist.rules
ACTION!="add|change", GOTO="mm_usb_device_blacklist_end"
SUBSYSTEM!="usb", GOTO="mm_usb_device_blacklist_end"
ENV{DEVTYPE}!="usb_device",  GOTO="mm_usb_device_blacklist_end"


# u-blox AG, u-blox 5 GPS chips
ATTRS{idVendor}=="1546", ATTRS{idProduct}=="01a5", ENV{ID_MM_DEVICE_IGNORE}="1"

LABEL="mm_usb_device_blacklist_end"
Comment 3 Fedora End Of Life 2015-01-09 17:27:35 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-18 06:05:03 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.